> For the complete documentation index, see [llms.txt](https://docs.sdv.dev/sdgym/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sdv.dev/sdgym/customization/datasets/public-sdv-datasets.md).

# Public SDV Datasets

The SDGym library includes a variety of public, demo datasets that you can use from benchmarking. These come from the overall SDV ecosystem.

These datasets are stored in a publicly readable S3 bucket created by DataCebo. For more information, see the [Dataset Format](/sdgym/customization/datasets/dataset-format.md) guide.

## Using the demo datasets in SDGym

SDGym is configured to use the demo datasets by default.

### Exploring Datasets

The default DatasetExplorer reads the SDV demo datasets. For more information, see the [Explore Datasets](/sdgym/customization/datasets/explore-datasets.md) guide.

```python
from sdgym import DatasetExplorer

explorer = DatasetExplorer()
summary = explorer.summarize_datasets(modality='single_table')
```

### Benchmarking

The benchmark functions are set to run on the recommended demo datasets by default. You can update these using the `sdv_datasets` parameter. For more information see the guide for [Running a Benchmark (AWS)](/sdgym/benchmarking/run/aws.md).

```python
import sdgym

results = sdgym.benchmark_single_table_aws(
    sdv_datasets=['adult', 'alarm', 'census', 'child', 'expedia_hotel_logs'],
    output_destination='s3://my_results_bucket/'
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sdv.dev/sdgym/customization/datasets/public-sdv-datasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
